Topic PDI error DatastoreConnectionImpl

sowe started the topic:
2016-08-30 08:06

PDI error DatastoreConnectionImpl

Hi all,
I have the same problem with Pentaho PDI (Kettle - Spoon General Availability Release - 5.4.0.1-130) .I've installed the plugin via Marketplace and created a file configuration see below:

 rvalenzuelas-MacBook-Pro:Downloads rvalenzuela$ cd data-integration/plugins/profiling-datacleaner/
rvalenzuelas-MacBook-Pro:profiling-datacleaner rvalenzuela$ cat data
datacleaner-configuration.txt datastores/
rvalenzuelas-MacBook-Pro:profiling-datacleaner rvalenzuela$ cat datacleaner-configuration.txt
/Users/rvalenzuela/Downloads/DataCleanerrvalenzuelas-MacBook-Pro:profiling-datacleaner rvalenzuela$

The Datacleaner works independently but i've this error when try to excute the sample sample pdi vie PDI:

Unexpected error!

Message:
java.lang.NoSuchMethodError: org.datacleaner.connection.DatastoreConnectionImpl.<init>(Lorg/apache/metamodel/DataContext;Lorg/datacleaner/connection/Datastore;[Ljava/io/Closeable;)V
Level:
SEVERE
Stack Trace:
org.datacleaner.connection.DatastoreConnectionImpl. (Lorg/apache/metamodel/DataContext;Lorg/datacleaner/connection/Datastore;[Ljava/io/Closeable;)V
org.pentaho.di.profiling.datacleaner.KettleDatastore.createDatastoreConnection(KettleDatastore.java:52)
org.datacleaner.connection.UsageAwareDatastore.getDatastoreConnection(UsageAwareDatastore.java:117)
org.datacleaner.connection.UsageAwareDatastore.openConnection(UsageAwareDatastore.java:128)
org.datacleaner.job.JaxbJobReader.create(JaxbJobReader.java:436)
org.datacleaner.job.JaxbJobReader.create(JaxbJobReader.java:409)
org.datacleaner.job.JaxbJobReader.create(JaxbJobReader.java:329)
org.datacleaner.job.JaxbJobReader.create(JaxbJobReader.java:308)
org.datacleaner.actions.OpenAnalysisJobActionListener.openAnalysisJob(OpenAnalysisJobActionListener.java:188)
org.datacleaner.actions.OpenAnalysisJobActionListener.open(OpenAnalysisJobActionListener.java:115)
org.datacleaner.bootstrap.Bootstrap.runInternal(Bootstrap.java:206)
org.datacleaner.bootstrap.Bootstrap.run(Bootstrap.java:102)
org.datacleaner.Main.main(Main.java:60)
org.datacleaner.Main.main(Main.java:46)

PDI error:
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)
at org.eclipse.swt.SWT.error(Unknown Source)
at org.eclipse.swt.SWT.error(Unknown Source)
at org.eclipse.swt.widgets.Synchronizer.syncExec(Unknown Source)
at org.eclipse.swt.widgets.Display.syncExec(Unknown Source)
at org.pentaho.di.profiling.datacleaner.ModelerHelper.showErrorMessage(ModelerHelper.java:235)
at org.pentaho.di.profiling.datacleaner.ModelerHelper.launchDataCleaner(ModelerHelper.java:226)
at org.pentaho.di.profiling.datacleaner.ModelerHelper$4.run(ModelerHelper.java:403)
Caused by: java.lang.NullPointerException
at org.pentaho.di.ui.core.dialog.ErrorDialog.<init>(ErrorDialog.java:83)
at org.pentaho.di.profiling.datacleaner.ModelerHelper$1.run(ModelerHelper.java:239)
at org.eclipse.swt.widgets.RunnableLock.run(Unknown Source)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Unknown Source)
at org.eclipse.swt.widgets.Display.runAsyncMessages(Unknown Source)
at org.eclipse.swt.widgets.Display.readAndDispatch(Unknown Source)
at org.pentaho.di.ui.spoon.Spoon.readAndDispatch(Spoon.java:1319)
at org.pentaho.di.ui.spoon.Spoon.waitForDispose(Spoon.java:7939)
at org.pentaho.di.ui.spoon.Spoon.start(Spoon.java:9190)
at org.pentaho.di.ui.spoon.Spoon.main(Spoon.java:654)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:497)
at org.pentaho.commons.launcher.Launcher.main(Launcher.java:92)

Any idea?
Thanks
[pdi] http://wiki.pentaho.com/display/EAI/Kettle+Data+Profiling+with+DataCleaner
Claudia replied:
2016-08-30 08:42
Hi Sowe,

Which version of DataCleaner are you using ?

For Pentaho 5.x and the corresponding plugin you need to use DC 4.5.
For Pentaho 6.x and the corresponding plugin you need to use a DC version higher than 4.5.2.


Regards,
Claudia
sowe replied:
2016-08-30 09:03
Hi Claudia,
5.1.2 version, I think the last version . Download it yesterday.
Thanks
Shoban replied:
2016-11-29 20:52
Any resolutions for this, I am facing the same issue I am using Pentaho 6.x and using DC version higher than 4.5.2. Also, I tried with the full version.
You are not signed in.
You need to be signed in to participate in the discussion.